//
//  SearchView.m
//  Koula
//
//  Created by wemax on 16/6/14.
//  Copyright © 2016年 李文强. All rights reserved.
//

#import "SearchView.h"
#import "WQSearchController.h"
#import "SearchViewTF.h"
#import "MySearchCell.h"
@interface SearchView ()<UITableViewDelegate,UITableViewDataSource,SearchViewDelegate>
{
    BOOL isfirst;
}
@property (nonatomic, strong) UITableView * tabelView;
@property (nonatomic, strong) UIVisualEffectView * effectView;
@property (nonatomic, strong) UIBlurEffect * blurEffect;
@property (nonatomic, strong) NSMutableArray * mydataArray;

@property (nonatomic, strong) UILabel * wordLabel;
@property (nonatomic, strong) UILabel * detailLabel;
@property (nonatomic, strong) UILabel * sentenceLabel;
@property (nonatomic, strong) UILabel * chinesLabel;
@property (nonatomic, strong) NSArray * fanyiArray;
@property (nonatomic, strong) UIButton * addButton;
@property (nonatomic, strong) UIView * addView;

@end

@implementation SearchView

- (void)createSearchView:(UIViewController *)vc;
{
    self.backgroundColor = [UIColor clearColor];
    _blurEffect = [UIBlurEffect effectWithStyle:UIBlurEffectStyleLight];
    _effectView = [[UIVisualEffectView alloc] initWithEffect:_blurEffect];
    _effectView.frame = self.frame;
    _effectView.alpha = 0.8;
    
    [self addSubview:_effectView];
    [self myNav];
   
}
- (void)myNav
{
    isfirst = YES;
    
    CGFloat myViewX = 0;
    CGFloat myViewY = 0;
    CGFloat myViewW = Screen.width;
    CGFloat myViewH = 64;
    UIView * myView = [[UIView alloc]initWithFrame:CGRectMake(myViewX, myViewY, myViewW, myViewH)];
    myView.backgroundColor = [UIColor colorWithRed:0.1255 green:0.6039 blue:0.4431 alpha:1];
    [self addSubview:myView];
    
    //取消按钮
    CGFloat cancelButtonX = Screen.width - 50;
    CGFloat cancelButtonY = 20;
    CGFloat cancelButtonW = 50;
    CGFloat cancelButtonH = 40;
    UIButton * cancelButton = [UIButton buttonWithType:UIButtonTypeCustom];
    cancelButton.frame = CGRectMake(cancelButtonX, cancelButtonY, cancelButtonW, cancelButtonH);
    [cancelButton setTitle:@"取消" forState:0];
    cancelButton.titleLabel.font = [UIFont systemFontOfSize:17];
    [cancelButton addTarget:self action:@selector(btnSeach:) forControlEvents:UIControlEventTouchUpInside];
    [myView addSubview:cancelButton];
    
    //自定义搜索框
    SearchViewTF * searcgTFV = [SearchViewTF new];
    searcgTFV.delegate = self;
    [searcgTFV.searchTF becomeFirstResponder];
    searcgTFV.frame = CGRectMake(10, 24, Screen.width-60, 30);
    searcgTFV.layer.masksToBounds = YES;
    searcgTFV.layer.cornerRadius = 13;
    [searcgTFV createSearchTF];
    [myView addSubview:searcgTFV];
    
    [self createTableView];
}
- (void)btnSeach:(UIButton *)button
{
    [self removeFromSuperview];
}
#pragma mark == 搜索框的代理
- (void)getData:(NSMutableArray *)array
{
    self.mydataArray = array;
    [self.tabelView reloadData];
}
#pragma mark == 创建tableView
- (void)createTableView
{
    CGFloat tableViewX = 10;
    CGFloat tableViewY = 64;
    CGFloat tableViewW = Screen.width-20;
    CGFloat tableViewH = Screen.height-64;
    self.tabelView = [[UITableView alloc]initWithFrame:CGRectMake(tableViewX, tableViewY, tableViewW, tableViewH) style:UITableViewStyleGrouped];
    self.tabelView.delegate = self;
    self.tabelView.dataSource = self;
    self.backgroundColor = [UIColor clearColor];
    [self addSubview:self.tabelView];
}
#pragma mark == 添加按钮
- (void) myAddButton
{
    CGFloat addViewX = 0;
    CGFloat addViewY = Screen.height - 40;
    CGFloat addViewW = Screen.width;
    CGFloat addViewH = 40;
    self.addView = [UIView new];
    self.addView.frame = CGRectMake(addViewX, addViewY, addViewW, addViewH);
    self.addView.backgroundColor = [UIColor whiteColor];
    [self addSubview:self.addView];
    
    self.addButton = [UIButton buttonWithType:UIButtonTypeCustom];
    self.addButton.frame = CGRectMake(addViewW/2-50, 5, 100, 30);
    self.addButton.titleLabel.font = [UIFont systemFontOfSize:13];
    [self.addButton setTitle:@"添加" forState:0];
    [self.addButton setTitleColor:[UIColor whiteColor] forState:0];
    [self.addButton setBackgroundColor:[UIColor colorWithRed:0.1255 green:0.6039 blue:0.4431 alpha:1]];
    [self.addButton addTarget:self action:@selector(addSave) forControlEvents:UIControlEventTouchUpInside];
    self.addButton.layer.masksToBounds = YES;
    self.addButton.layer.cornerRadius = 5;
    [self.addView addSubview:self.addButton];
}
- (void)addSave
{
    NSLog(@"添加点击了");
}
#pragma 通知键盘弹出了
- (void)getKeyBordHeight:(CGFloat)height
{
    if (height == 0) {
        [UIView animateWithDuration:0.5 animations:^{
            
            self.addView.frame = CGRectMake(0, Screen.height - height-40, Screen
                                            .width, 40);
        }];

    }else
    {
        [UIView animateWithDuration:1 animations:^{
            
            self.addView.frame = CGRectMake(0, Screen.height - height-40, Screen
                                            .width, 40);
        }];
    }

}
#pragma mark == tableView的代理方法

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView
{
    return 2;
}
- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return 2;
}
- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    static NSString * cellStr = @"Cell";
    UITableViewCell * cell = [tableView dequeueReusableCellWithIdentifier:cellStr];
    if (!cell) {
        cell = [[UITableViewCell alloc]initWithStyle:UITableViewCellStyleDefault reuseIdentifier:cellStr];
    }
    cell.backgroundColor = [UIColor whiteColor];
    cell.textLabel.text = @"hahahahahah";
    if (indexPath.section == 0) {
        [self createCell0:cell andIndexPath:indexPath];

    }
    //判断有没有例句
    
    if (indexPath.section == 1) {
        [self createCell1:cell andIndexPath:indexPath];
    }
    if (isfirst == YES) {
        [self myAddButton];
        isfirst = NO;
    }else
    {
        
    }
    
    return cell;
}
//section
- (void)createCell0:(UITableViewCell *)cell andIndexPath:(NSIndexPath *)indexPath
{
    MySearchCell * vc = [MySearchCell new];
    [vc createCell0:cell andIndexPath:indexPath];
}
- (void)createCell1:(UITableViewCell *)cell andIndexPath:(NSIndexPath *)indexPath
{
    MySearchCell * vc = [MySearchCell new];
    [vc createCell1:cell andIndexPath:indexPath];
}

- (CGFloat)tableView:(UITableView *)tableView heightForRowAtIndexPath:(NSIndexPath *)indexPath
{
    if (indexPath.section == 0)
    {
        if (indexPath.row == 0)
        {
            return 40;
        }
        else
        {
            
        }
    }else
    {
        return 50;
    }
    return 50;
}
- (CGFloat)tableView:(UITableView *)tableView heightForFooterInSection:(NSInteger)section
{
    return 1;
}
- (CGFloat)tableView:(UITableView *)tableView heightForHeaderInSection:(NSInteger)section
{
    if (section == 0) {
        return 20;
    }
    if (section == 1) {
        return 30;
    }
    return 20;
}

@end
