//
//  homePageScrollView.m
//  Koula
//
//  Created by wemax on 16/6/16.
//  Copyright © 2016年 李文强. All rights reserved.
//

#import "homePageScrollView.h"

@interface homePageScrollView ()
{
    NSTimer  *_timer;
}

@end

@implementation homePageScrollView

/*
// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void)drawRect:(CGRect)rect {
    // Drawing code
}
*/
- (id)initWithFrame:(CGRect)frame andURL:(NSString *)URLString
{
    
    self=[super init];
    if (self) {
        self.view.backgroundColor = [UIColor whiteColor];
        [self loadScrollView];
    }
    return self;
}
- (void)loadScrollView
{
    CGFloat scrollX = 0;
    CGFloat scrollY = 0;
    CGFloat scrollW = Screen.width;
    CGFloat scrollH = Screen.height/4;
     self.scrollView = [[UIScrollView alloc]initWithFrame:CGRectMake(scrollX, scrollY, scrollW, scrollH)];
    
    CGFloat pageX = Screen.width/2-50;
    CGFloat pageY = scrollH - 20;
    CGFloat pageW = 100;
    CGFloat pageH = 20;
     self.pageControl                               = [[UIPageControl alloc]initWithFrame:CGRectMake(pageX , pageY, pageW, pageH)];
    
    self.scrollView.backgroundColor = [UIColor blackColor];
    self.scrollView.contentSize = CGSizeMake(Screen.width*3, 0);
    self.scrollView.pagingEnabled = YES;
    self.scrollView.scrollEnabled = YES;
    self.scrollView.clipsToBounds = YES;
    self.scrollView.delegate = self;
    self.scrollView.showsHorizontalScrollIndicator = NO;
    self.scrollView.showsVerticalScrollIndicator = NO;
    [self addSubview:self.scrollView];
    
    self.pageControl.currentPageIndicatorTintColor = [UIColor whiteColor];
    self.pageControl.pageIndicatorTintColor = [UIColor redColor];
    self.pageControl.alpha = 5;
    self.pageControl.numberOfPages = 3;
    self.pageControl.currentPage = 0;
    [self.pageControl addTarget:self action:@selector(changePage:) forControlEvents:UIControlEventValueChanged];
    [self addSubview:self.pageControl];
    [self timerOn];

}

- (void)changePage:(UIPageControl*)sender
{
    CGSize viewSize                                = self.scrollView.frame.size;
    CGRect rect                                    = CGRectMake(sender.currentPage * viewSize.width, 0, viewSize.width, viewSize.height);
    [self.scrollView scrollRectToVisible:rect animated:YES];
}
- (void)change
{
    static int font = 1;
    if (self.scrollView.contentOffset.x == 0)
    {
        font = 1;
    }
    if (self.scrollView.contentOffset.x == self.scrollView.frame.size.width*3)
    {
        font = -1;
    }
    self.scrollView.contentOffset = CGPointMake(self.scrollView.contentOffset.x+font*self.scrollView.frame.size.width, 0);
    self.pageControl.currentPage                   = self.scrollView.contentOffset.x/self.scrollView.bounds.size.width;
}
- (void)scrollViewDidEndDecelerating:(UIScrollView *)scrollView
{
    CGPoint offset                                 = scrollView.contentOffset;
    CGRect bounds                                  = scrollView.frame;
    [self.pageControl setCurrentPage:offset.x / bounds.size.width];

}
- (void)timerOn
{
    NSTimer * timer                                 = [NSTimer scheduledTimerWithTimeInterval:2 target:self selector:@selector(change) userInfo:nil repeats:YES];
    
    [[NSRunLoop mainRunLoop] addTimer:timer forMode:NSRunLoopCommonModes];
    _timer = timer;
}
- (void)timerOff
{
    [_timer invalidate];
    _timer                                         = nil;
}
//这个事判断定时器滚动的时候，实时判断滚动位置，以让Page Controll显示当前的点是哪一个点
//这个需要在总宽度上加上半个scrollView的宽度，是为了保证拖拽到一半时候左右的效果
-(void)scrollViewDidScroll:(UIScrollView *)scrollView{
    self.pageControl.currentPage                   = (self.scrollView.frame.size.width*0.5+self.scrollView.contentOffset.x)/self.scrollView.frame.size.width;
}

@end
